Bug 595034 - gnome-terminal frequently displays the cursor incorrectly in white space strings in JOVE editor.
gnome-terminal frequently displays the cursor incorrectly in white space stri...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 20:55 EDT by Gregory Kizior
Modified: 2010-12-03 09:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Latest JOVE editor release, includes JoveScreenshot of testfile.c cursor bug (790.42 KB, application/x-gzip)
2010-05-22 21:02 EDT, Gregory Kizior
no flags Details

  None (edit)
Description Gregory Kizior 2010-05-22 20:55:18 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.9) Gecko/20100330 Fedora/3.5.9-1.fc12 Firefox/3.5.9

Cursor (block and underline) becomes stretched to 7 or 8 columns wide, obscuring the character after a TAB; can become fragmented (part block, part 'wide' block) when within a whitespace field. But also can 'forget' to display the next character after a whitespace field, and moving 'off' that part of the text doesn't always correct the problem. Using JOVE's redraw-display doesn't always work. JOVE is an emacs-like editor I maintain; it uses termcap.
Neither KDE konsole nor xterm exhibit this behavior using JOVE.

Reproducible: Always

Steps to Reproduce:
1. Un-zip and un-tar jove_4.22.tar.gz in a convenient directory; make.
2. Open testfile.c (supplied) in JOVE (make'd as jjove).
3. Move the cursor around between the '*'s and the text.
Actual Results:  
The cursor 'goes wide' sometimes, sometimes it gets it right and just shows the block cursor. Sometimes the block will become 'an orphan' and the (real) cursor will be somewhere else. Sometimes Ctl-L will clean up the display.

Expected Results:  
The block cursor should always be exactly one character wide and be positioned at the place on the screen where JOVE puts it.

I checked the source of JOVE _very_ carefully before stumbling on the fact that neither konsole nor xterm behave this way.
I also stumbled on the fact that this cursor bug is exhibited in Fedora 9, 10, and 11, as well. (I upgraded from Fedora 8 to Fedora 12 recently).
No Fedora distribution before 9 has the problem.

I tried switching to konsole, but it doesn't support Keypad-5 key and the xterm window is awkward to use. I am surprised at how fond I've become of gnome-terminal.
Comment 1 Gregory Kizior 2010-05-22 21:02:03 EDT
Created attachment 415901 [details]
Latest JOVE editor release, includes JoveScreenshot of testfile.c cursor bug

The JOVE editor can be gunzipped and untarred anywhere and does not need to be 'make install'd. Just make will create executable jjove.
JoveScreenshot.png has been put into the tar.gz as well as testfile.c.
The cursor bug can be experienced with: > jjove testfile.c
Comment 2 Vedran Miletić 2010-05-24 15:44:20 EDT
Fixing version.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Gregory Kizior 2010-05-26 18:43:14 EDT
I just discovered that the "I-beam" cursor does not exhibit the bad behavior in gnome-terminal. Maybe this will help.
Comment 4 Bug Zapper 2010-11-03 10:23:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:27:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.